## scilab 2024.1.0+dfsg

=== DESCRIPTION ===
Toolbox: toolbox_5V6

Title: Toolbox Test 5 for Scilab 6

Summary: Toolbox Test 5 for Scilab 6

Version: 1.0

Author: vincent.couvert@scilab-enterprises.com

Maintainer: Vincent Couvert <vincent.couvert@scilab-enterprises.com>

Category: Tests

Entity: Scilab Enterprises

WebSite: http://forge.scilab.org/index.php/p/atoms-tests/

URL: http://atoms.scilab.org/toolboxes/toolbox_5V6/1.0

License: CeCILL

ScilabVersion: >= 6.0

Depends: ~ toolbox_4V6 any

Date: 2015-06-04 15:38:58

Description: Test the &quot;ATOMS&quot; system
 
 It contains 4 functions :
  - t5_version()
  - t5_function1()
  - t5_function2()
  - t5_function3()
