=== debian/control ===
Source: scilab
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Julien Puydt <jpuydt@debian.org>,
           Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               bash-completion,
               chrpath,
               fakeroot,
               gfortran,
               javahelper,
               libarchive-dev,
               libcurl4-openssl-dev,
               libnum-ocaml-dev,
               libpcre2-dev,
               libxml2-dev,
               ocaml-findlib,
               pkgconf,
               tcl-dev,
               time,
               tk-dev,
# numerical libraries
               libarpack2-dev,
               libblas-dev | libblas.so,
               libeigen3-dev,
               liblapack-dev,
# Java deps
               ant,
               default-jdk,
               libactivation-java,
               libflexdock-java,
               libgl-dev,
               libjakarta-activation-java,
               libjaxb-java,
               libjgoodies-looks-java,
               libjogl2-java (>= 2.4.0+dfsg),
               libjrosetta-java,
               liblucene8-java,
               libskinlf-java,
# graphic
               libfreehep-graphicsio-emf-java,
               libfreehep-graphicsio-java,
               libfreehep-graphics2d-java,
               libfreehep-util-java,
# Documentation
               docbook-xsl,
               fop,
               javahelp2,
               libavalon-framework-java,
               libbatik-java,
               libjeuclid-core-java,
               libsaxonhe-java,
               libxml-commons-external-java,
# Optional Scilab features
               libfftw3-dev,
               libmatio-dev,
               libsuitesparse-dev,
# latex rendering
               libjlatexmath-fop-java,
               libjlatexmath-java,
# Xcos
               libhdf5-dev,
               libjgraphx-java,
# MPI
               mpi-default-dev,
# Java binding
               libeclipse-jdt-core-java,
# Unitary testing
               ant-optional <!nocheck>,
               junit4 <!nocheck>,
               libcobertura-java <!nocheck>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.scilab.org
Vcs-Git: https://salsa.debian.org/science-team/scilab.git
Vcs-Browser: https://salsa.debian.org/science-team/scilab

Package: scilab-cli
Architecture: all
Depends: scilab-data (= ${binary:Version}),
         scilab-include (>= ${source:Version}),
         scilab-minimal-bin (>= ${source:Version}),
         ${misc:Depends}
# scilab-include is installed by default since it is widely used by many
# toolboxes
Suggests: gcc,
          gfortran
# For the dynamic link
Description: Scientific software package - Command Line Interpreter
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package provides Scilab as Command Line Interpreter (CLI). This package
 provides Scilab as a computing engine or script interpreter.
 Please install the package "scilab" to have all features.

Package: scilab
Architecture: all
Depends: scilab-cli (>= ${source:Version}),
         scilab-full-bin (>= ${binary:Version}),
         scilab-full-bin (<< ${binary:Version}.1~),
         ${misc:Depends}
Recommends: scilab-doc (= ${binary:Version}),
Suggests: scilab-doc-fr (= ${binary:Version}),
          scilab-doc-ja (= ${binary:Version}),
          scilab-doc-pt-br (= ${binary:Version})
Description: Scientific software package for numerical computations
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for control, signal
 processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 For a minimum version of scilab, install package "scilab-cli".

Package: scilab-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (data files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the data files for Scilab.


Package: scilab-include
Architecture: any
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (include files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the include files for Scilab (used in the dynamic link).


Package: scilab-minimal-bin
Architecture: any
Depends: default-jre-headless,
         scilab-data (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: scilab-bin,
          scilab-full-bin (<< 5.4.1-3)
Breaks: scilab-full-bin (<< 5.4.1-3)
Description: Scientific software package for numerical computations (minimal binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.
 All mandatory libraries for scilab-cli are shipped in this package.
 Please install the package "scilab" to have all features.

Package: scilab-full-bin
Architecture: any
Depends: bwidget,
         default-jre,
         docbook-xsl,
         fop,
         javahelp2,
         libactivation-java,
         libavalon-framework-java,
         libbatik-java,
         libeclipse-jdt-core-java,
         libflexdock-java,
         libfreehep-graphicsio-emf-java,
         libfreehep-graphicsio-java,
         libfreehep-graphics2d-java,
         libfreehep-util-java,
         libjakarta-activation-java,
         libjaxb-java,
         libjeuclid-core-java,
         libjgoodies-looks-java,
         libjgraphx-java,
         libjlatexmath-fop-java,
         libjlatexmath-java,
         libjogl2-java (>= 2.4.0+dfsg),
         libjrosetta-java,
         liblucene8-java,
         libsaxonhe-java,
         libskinlf-java,
         scilab-minimal-bin (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: libscilab2-java (<< 5.4.1-4),
          scilab (<< 5.0),
          scilab-bin,
          scilab-minimal-bin (<< 5.4.1-3)
Breaks: libscilab2-java (<< 5.4.1-4),
        scilab-minimal-bin (<< 5.4.1-3)
Description: Scientific software package for numerical computations (all binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 .
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.

Package: scilab-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: Scientific software package (English documentations)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains demos, examples and help pages.

Package: scilab-doc-fr
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: scilab-doc,
         ${misc:Depends}
Description: Scientific software package (French documentation)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains help pages in French.

Package: scilab-doc-pt-br
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: scilab-doc,
         ${misc:Depends}
Description: Scientific software package (Brazilian Portuguese documentation)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
