## scilab 2024.1.0+dfsg1

=== debian/changelog ===
scilab (2024.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 2024.1.0+dfsg1:
    This is the same version than 2024.1.0+dfsg, without the embedded copies
    of ezxml, removed for security reasons. This fixes the following CVE:
    CVE-2022-30045 CVE-2021-31598 CVE-2021-31348 CVE-2021-31347 CVE-2021-31229
    CVE-2021-30485 CVE-2021-26222 CVE-2021-26221 CVE-2021-26220 CVE-2019-20202
    CVE-2019-20201 CVE-2019-20200 CVE-2019-20199 CVE-2019-20198 CVE-2019-20007
    CVE-2019-20006 CVE-2019-20005
    (Closes: #989364, #1014391)
  * Removing code that invokes ezxml
  * Using the UTF-8 suffix when calling scilab to build the documentation
    (Closes: #1106083)
  * Raising Standards version to 4.7.3:
    - Removing Priority: optional, which is default
    - Removing R-R-R: no, which is now default
  * Rewriting d/watch with version 5

  [ Alexandre Detiste ]
  * Fix team name in d/control

 -- Pierre Gruet <pgt@debian.org>  Thu, 29 Jan 2026 21:02:56 +0100
