=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: scilab
 Section: math
-Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>,
            Pierre Gruet <pgt@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -70,8 +69,7 @@
                ant-optional <!nocheck>,
                junit4 <!nocheck>,
                libcobertura-java <!nocheck>
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://www.scilab.org
 Vcs-Git: https://salsa.debian.org/science-team/scilab.git
 Vcs-Browser: https://salsa.debian.org/science-team/scilab
@@ -305,3 +303,4 @@
 Description: Scientific software package (Brazilian Portuguese documentation)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
+ data structures (including polynomials, rationals, linear systems, lists,
