=== debian/watch ===
Version: 5

Source: https://gitlab.com/scilab/scilab/tags?sort=updated_desc
Matching-Pattern: -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Compression: xz
Dversionmangle: auto
Repacksuffix: +dfsg
Searchmode: plain
Uversionmangle: s/-rc/~rc/
